package CLI::TextLines::Hack;

use 5.006;
use strict;
use warnings;

=head1 NAME

CLI::TextLines::Hack - The great new CLI::TextLines::Hack!

=head1 VERSION

Version 0.06

=cut

our $VERSION = '0.06';


=head1 SYNOPSIS

 The following CLI commands each written as a stand-alone Perl program are provided.

  alluniq -- Is every line different from others? If not, how many are $n$-plet occur for each $n$?
  idmaker -- Identical numbers are attached to each line. Same ID for the same line contents.
  shuffler -- shuffles the lines randomly. With options of taking $n$ lines from the top.
  hashtotal -- Calculates the total sum of the first 4 bytes of SHA1 of each line.
  ngram -- character-wise $n$-gram ranking (experimental; not fully implemented as planed).

=head1 EXPORT

 Nothing would be exported.

=head1 AUTHOR

"Toshiyuki Shimono", C<< <bin4tsv at gmail.com> >>

=head1 BUGS

Please report any bugs or feature requests to C<bug-cli-textlines-hack at rt.cpan.org>, or through
the web interface at L<http://rt.cpan.org/NoAuth/ReportBug.html?Queue=CLI-TextLines-Hack>.  I will be notified, and then you'll
automatically be notified of progress on your bug as I make changes.




=head1 SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc CLI::TextLines::Hack


You can also look for information at:

=over 4

=item * RT: CPAN's request tracker (report bugs here)

L<http://rt.cpan.org/NoAuth/Bugs.html?Dist=CLI-TextLines-Hack>

=item * AnnoCPAN: Annotated CPAN documentation

L<http://annocpan.org/dist/CLI-TextLines-Hack>

=item * CPAN Ratings

L<http://cpanratings.perl.org/d/CLI-TextLines-Hack>

=item * Search CPAN

L<http://search.cpan.org/dist/CLI-TextLines-Hack/>

=back


=head1 ACKNOWLEDGEMENTS


=head1 LICENSE AND COPYRIGHT

Copyright 2018 "Toshiyuki Shimono".

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see L<http://www.gnu.org/licenses/>.


=cut

1; # End of CLI::TextLines::Hack
